<?php
// suppression ddes fichiers aide
$ouverture = opendir("../contenu/");
$lecture = readdir($ouverture);
unlink ("../contenu/aide_bddeleves.php");
closedir($ouverture);

$ouverture = opendir("../contenu/");
$lecture = readdir($ouverture);
unlink ("../contenu/aide_edt.php");
closedir($ouverture);

$ouverture = opendir("../contenu/");
$lecture = readdir($ouverture);
unlink ("../contenu/aide_eval.php");
closedir($ouverture);

$ouverture = opendir("../contenu/");
$lecture = readdir($ouverture);
unlink ("../contenu/aide_freq.php");
closedir($ouverture);

$ouverture = opendir("../contenu/");
$lecture = readdir($ouverture);
unlink ("../contenu/aide_install.php");
closedir($ouverture);

$ouverture = opendir("../contenu/");
$lecture = readdir($ouverture);
unlink ("../contenu/aide_param.php");
closedir($ouverture);

$ouverture = opendir("../contenu/");
$lecture = readdir($ouverture);
unlink ("../contenu/aide_seq.php");
closedir($ouverture);

$ouverture = opendir("../include/nav/");
$lecture = readdir($ouverture);
unlink ("../include/nav/nav_aide.php");
closedir($ouverture);

$ouverture = opendir("/");
$lecture = readdir($ouverture);
unlink ("maj_bdd_versions.php");
closedir($ouverture);

$ouverture = opendir("../js/");
$lecture = readdir($ouverture);
unlink ("../js/jquery-3.2.1.js");
closedir($ouverture);

// //////////////////////

// création de la table _barcodes (modèles)
mysqli_query($bdd,"CREATE TABLE IF NOT EXISTS ".$base.".".$prefix."_barcodes (bcmodele_id INT ( 11 ) NOT NULL AUTO_INCREMENT , nom VARCHAR ( 30 ) COLLATE utf8_unicode_ci NOT NULL, typusage VARCHAR ( 30 ) COLLATE utf8_unicode_ci NOT NULL, format VARCHAR ( 1 ) COLLATE utf8_unicode_ci DEFAULT NULL, nbwidth INT( 4 ) DEFAULT NULL, nbheight INT( 4 ) DEFAULT NULL, type VARCHAR ( 20 ) COLLATE utf8_unicode_ci DEFAULT NULL, margextg INT( 4 ) DEFAULT NULL, margextd INT( 4 ) DEFAULT NULL, margexth INT( 4 ) DEFAULT NULL, margextb INT( 4 ) DEFAULT NULL , margintg INT( 4 ) DEFAULT NULL , margintd INT( 4 ) DEFAULT NULL , marginth INT( 4 ) DEFAULT NULL , margintb INT( 4 ) DEFAULT NULL , textup INT( 1 ) DEFAULT NULL , textspe VARCHAR ( 50 ) COLLATE utf8_unicode_ci DEFAULT NULL, textupsize INT( 4 ) DEFAULT NULL , fontsize INT( 4 ) DEFAULT NULL , PRIMARY KEY ( bcmodele_id ) ) ENGINE = MYISAM DEFAULT CHARSET = utf8 COLLATE = utf8_unicode_ci;");
// modèle par défaut pour les codes-barres
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_barcodes WHERE nom = 'default' AND typusage = 'eleve'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_barcodes (nom, typusage, format, nbwidth, nbheight, type, margextg, margextd, margexth, margextb, margintg, margintd, marginth, margintb, textup, textspe, textupsize, fontsize) VALUES ('default', 'eleve', 'P', '5', '13', 'C128B', '10', '10', '11', '10', '4', '4', '6', '6', '1', '', '3', '6')");
}
// paramètre de choix du modèle par défaut
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'barcodes_default_modeleve'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('barcodes_default_modeleve', 'default', 'Choix du modèle de code-barres pour les élèves par défaut.')");
}

// création de la colonne docname dans _seqdocs
mysqli_query($bdd,"ALTER TABLE ".$prefix."_seqdocs ADD docname TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL");

// création d'une colonne info pour le calendrier
mysqli_query($bdd,"ALTER TABLE ".$prefix."_calendrier ADD info VARCHAR ( 200 ) DEFAULT NULL");

// création d'une colonne css dans les users (choix de la feuille de style)
mysqli_query($bdd,"ALTER TABLE ".$prefix."_user ADD css TEXT CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL");

// création du paramètre pour option de message sous l'EDT
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_msgopt'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('edt_msgopt', '0', 'Option de message sous l''emploi du temps.')");
}

// création du paramètre du contenu de message sous l'EDT
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_msg'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('edt_msg', '', 'Contenu du message sous l''emploi du temps.')");
}

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.24' WHERE param_nom = 'version_bdd'");

?>